## org.eclipse.jetty.security
Class HashCrossContextPsuedoSession<T>

    java.lang.Object
      org.eclipse.jetty.security.HashCrossContextPsuedoSession<T>

All Implemented Interfaces:
  CrossContextPsuedoSession<T>

    public class HashCrossContextPsuedoSession<T>

extends Object
implements CrossContextPsuedoSession<T>

Version:
  $Rev: 4660 $ $Date: 2009-02-25 17:29:53 +0100 (Wed, 25 Feb 2009) $

Constructor Summary
`HashCrossContextPsuedoSession(String cookieName, String cookiePath)`

Method Summary
`void` `clear(HttpServletRequest request)`
`T` `fetch(HttpServletRequest request)`
`void` `store(T datum, HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashCrossContextPsuedoSession

    public HashCrossContextPsuedoSession(String cookieName,
                                         String cookiePath)

Method Detail

### fetch

    public T fetch(HttpServletRequest request)

  Specified by:
    `fetch` in interface `CrossContextPsuedoSession<T>`

### store

    public void store(T datum,
                      HttpServletResponse response)

  Specified by:
    `store` in interface `CrossContextPsuedoSession<T>`

### clear

    public void clear(HttpServletRequest request)

  Specified by:
    `clear` in interface `CrossContextPsuedoSession<T>`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.